﻿using System.IO;
using System.ServiceModel;

namespace TestServer
{
    /// <summary>
    /// 파일 데이터
    /// </summary>
    [MessageContract]
    public class FileData
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 파일 경로 - FilePath

        /// <summary>
        /// 파일 경로
        /// </summary>
        [MessageHeader]
        public string FilePath { get; set; }

        #endregion
        #region 파일 길이 - FileLength

        /// <summary>
        /// 파일 길이
        /// </summary>
        [MessageHeader]
        public long FileLength { get; set; }

        #endregion
        #region 소스 스트림 - SourceStream

        /// <summary>
        /// 소스 스트림
        /// </summary>
        [MessageBodyMember]
        public Stream SourceStream { get; set; }

        #endregion
    }
}